#!/bin/bash

DEFAULT_ROOT=/opt
DEFAULT_OBE_HOME=${DEFAULT_ROOT}/POF.OBE
# export OBE_HOME={$DEFAULT_OBE_HOME}
# export COH_HOME=/opt/coherence

#
# Not set and default exists, assume its correct
#
if [ -z "$OBE_HOME" ] && [ -d "${DEFAULT_OBE_HOME}" ]; then
    export OBE_HOME=${DEFAULT_OBE_HOME}
    echo Assinging OBE_HOME to default ${DEFAULT_OBE_HOME}
elif [ -z "$OBE_HOME" ]; then 
   echo Cannot determine appropriate value for OBE_HOME
fi

if [ -z "$COH_HOME" ] && [ -d "${DEFAULT_ROOT}/coherence" ]; then
    export COH_HOME=${DEFAULT_ROOT}/coherence
    echo Assigning COH_HOME to default ${DEFAULT_ROOT}/coherence
elif [ -z "$COH_HOME" ]; then 
   echo Cannot determine appropriate value for COH_HOME
fi



